Установка
```bash
$ python -m pip install Django==5.1.4
```
Версия
```bash
$ python -m django --version
```
Старт проекта
```bash
$ mkdir tutorial
$ django-admin startproject mysite tutorial
```
Управление проектом
```bash
$ django-admin <command> [options]
$ manage.py <command> [options]
$ python -m django <command> [options]

# Возможно устоновить модуль colorama для подсветки вывода
$ python -m pip install "coloram >= 0.4.6"
```
Старт сервера
```bash
$ python manage.py runserver

# Или через django-admin (но с установкой переменной окружения)
...\> set DJANGO_SETTINGS_MODULE=mysite.settings
$ export DJANGO_SETTINGS_MODULE=mysite.settings

$ django-admin runserver
```
Создание приложения
```bash
$ python manage.py startapp <app_name>
```
Миграции. 3 этапа.
```bash
# 1. Внесение изменений в модел или модели

# 2. Создание миграций для изменений в моделях
$ python manage.py makemigrations

# 3. Применение миграций к базе данных
$ python manage.py migrate
```


Остановился на:
https://docs.djangoproject.com/en/5.1/intro/tutorial05/

Документация на русском:
https://django.fun/


